<head>
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.js" type="text/javascript"></script>
    <style>
        .hiddenRow { display: none; }
    </style>
    <script>
        function toggleNextRow(row) {
            var nextRow = $(row).next();
            nextRow.toggle();
        }
    </script>
</head>
<?php
/*
* Script: Server Status
* Author: Martin Dixon
* From: Tutorial-Resource.com
* URL: www.tutorial-resource.com
* Version: 1.0
* License: Free
*/

# Load the configurations.
require "ss_configs_servers.php";

# Start a variable to contain Service Status.
if ($serverstatusvisible > "0") {
    $serverStatus = "<table width='190' border='0' cellspacing='0' cellpadding='1'><tr onclick='toggleNextRow(this)' BGCOLOR='#0066FF'><th style='text-align: left;'><font color='white'>Server</font></th><th style='text-align: left;'><font color='white'>Status</font></th></tr>";
 }


# Process all services1 montiored.
foreach( $configs['services1'] as $serviceName => $servicePort )
{
	# Determine Port Status.
	$status = @fsockopen($configs['server_ip'], $servicePort, $errno, $errstr, 5);
	
	# What is the result.
	if( !$status )
	{
		$statusText = "<font color='red'>Down</font>";
	}
	else
	{
		$statusText = "<font color='green'>Up</font>";
	}
	
	# Set the status Row.
	$serverStatus .= "<td BGCOLOR='#FFFFFF'>{$serviceName}</td><td BGCOLOR='#FFFFFF'>{$statusText}</td></tr>";
}

# Process all services1 montiored.
foreach( $configs['services2'] as $serviceName => $servicePort )
{
	# Determine Port Status.
	$status = @fsockopen($configs['server_ip2'], $servicePort, $errno, $errstr, 5);
	
	# What is the result.
	if( !$status )
	{
		$statusText = "<font color='red'>Down</font>";
	}
	else
	{
		$statusText = "<font color='green'>Up</font>";
	}
	
	# Set the status Row.
	$serverStatus .= "<td BGCOLOR='#FFFFFF'>{$serviceName}</td><td BGCOLOR='#FFFFFF'>{$statusText}</td></tr>";
}

# Process all services1 montiored.
foreach( $configs['services3'] as $serviceName => $servicePort )
{
	# Determine Port Status.
	$status = @fsockopen($configs['server_ip3'], $servicePort, $errno, $errstr, 5);
	
	# What is the result.
	if( !$status )
	{
		$statusText = "<font color='red'>Down</font>";
	}
	else
	{
		$statusText = "<font color='green'>Up</font>";
	}
	
	# Set the status Row.
	$serverStatus .= "<td BGCOLOR='#FFFFFF'>{$serviceName}</td><td BGCOLOR='#FFFFFF'>{$statusText}</td></tr>";
}

# Process all services1 montiored.
foreach( $configs['services4'] as $serviceName => $servicePort )
{
	# Determine Port Status.
	$status = @fsockopen($configs['server_ip4'], $servicePort, $errno, $errstr, 5);
	
	# What is the result.
	if( !$status )
	{
		$statusText = "<font color='red'>Down</font>";
	}
	else
	{
		$statusText = "<font color='green'>Up</font>";
	}
	
	# Set the status Row.
	$serverStatus .= "<td BGCOLOR='#FFFFFF'>{$serviceName}</td><td BGCOLOR='#FFFFFF'>{$statusText}</td></tr>";
}

# Finish service status table.
$serverStatus .= "</table>";

# File Complete.

?>